/**
 * @typedef {import('./core.js').CoreOptions & import('./util/format-smart.js').FormatSmartOptions} StringifyEntitiesOptions
 * @typedef {import('./core.js').CoreOptions} StringifyEntitiesLightOptions
 */
/**
 * Encode special characters in `value`.
 * @param {string} value
 * @param {StringifyEntitiesOptions} [options]
 */
export function stringifyEntities(
  value: string,
  options?: StringifyEntitiesOptions
): string
/**
 * Encode special characters in `value` as hexadecimals.
 * @param {string} value
 * @param {StringifyEntitiesLightOptions} [options]
 */
export function stringifyEntitiesLight(
  value: string,
  options?: StringifyEntitiesLightOptions
): string
export type StringifyEntitiesOptions = import('./core.js').CoreOptions &
  import('./util/format-smart.js').FormatSmartOptions
export type StringifyEntitiesLightOptions = import('./core.js').CoreOptions
